View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000254Ecere SDKidepublic2009-10-05 23:192013-05-19 22:15
Reportersacrebleu 
Assigned Toredj 
PriorityimmediateSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000254: add support for additional web documents to IDE.ec and appropriate file dialogs
Descriptionadd .xml, .xhtml, .jsi, .rb
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000134)
redj (administrator)
2009-12-03 01:05

updated IDE's FileFilter:
   {
      "Web files (*.html, *.htm, *.xhtml, *.css, *.php, *.js, *.jsi, *.rb, *.xml)",
      "html, htm, xhtml, css, php, js, jsi, rb, xml"
   },
(0000135)
redj (administrator)
2009-12-03 01:07

the current filter is:
static FileFilter fileFilters[] =
{
   {
      "C/C++/eC Files (*.ec, *.eh, *.c, *.cpp, *.cc, *.cxx, *.h, *.hpp, *.hh, *.hxx)",
      "ec, eh, c, cpp, cc, cxx, h, hpp, hh, hxx"
   },
   {
      "Header Files for eC/C/C++ (*.eh, *.h, *.hpp, *.hh, *.hxx)",
      "eh, h, hpp, hh, hxx"
   },
   {
      "C/C++/eC Source Files (*.ec, *.c, *.cpp, *.cc, *.cxx)",
      "ec, c, cpp, cc, cxx"
   },
   {
      "Text files (*.txt, *.text, *.nfo, *.info)",
      "txt, text, nfo, info"
   },
   {
      "Web files (*.html, *.htm, *.xhtml, *.css, *.php, *.js, *.jsi, *.rb, *.xml)",
      "html, htm, xhtml, css, php, js, jsi, rb, xml"
   },
   {
      "Image Files (*.jpg, *.jpeg, *.bmp, *.pcx, *.png, *.gif)",
      "jpg, jpeg, bmp, pcx, png, gif"
   },
   {
      "3D Studio Model Files (*.3ds)",
      "3ds"
   },
   { "All files", null }
};
(0000136)
redj (administrator)
2009-12-03 01:13

filter was modified to allow opening of those files under Web Files.

- Issue History
Date Modified Username Field Change
2009-10-05 23:19 sacrebleu New Issue
2009-10-05 23:20 sacrebleu Assigned To => jerome
2009-10-05 23:20 sacrebleu Status new => assigned
2009-11-27 16:39 sacrebleu Assigned To jerome => redj
2009-12-03 01:05 redj Note Added: 0000134
2009-12-03 01:07 redj Note Added: 0000135
2009-12-03 01:13 redj Status assigned => resolved
2009-12-03 01:13 redj Resolution open => fixed
2009-12-03 01:13 redj Note Added: 0000136
2010-07-25 21:03 redj Relationship added child of 0000429
2010-07-26 19:19 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:20 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker